package com.bocloud.ims.common.enums;

/**
 * 云主机action操作枚举
 *
 * @author weiwei
 */
public enum ServerAction {
    // 创建
    CREATE("create"),
    // 删除
    DELETE("delete"),
    // 更新
    UPDATE("update"),
    // 同步
    SYNC("sync"),
    // 获取
    GET("get"),
    // 重启
    REBOOT("reboot"),
    // 软重启
    SOFTREBOOT("softreboot"),
    // 暂停
    PAUSE("pause"),
    // 开机
    START("start"),
    // 关机
    STOP("stop"),
    // 软关机
    SOFTSTOP("softstop"),
    // 恢复
    RECOVERY("unpause"),
    // 挂起
    SUSPEND("suspend"),
    // 激活
    ACTIVE("active"),
    // 克隆
    CLONE("clone"),
    // 恢复(suspend状态)
    RESUME("resume"),
    // 修改密码
    CHANGEPWD("changepwd"),
    // lvm创建
    LVMCREATE("lvmcreate"),
    //解除分配
    DEALLOCATE("deallocate"),
    // 休眠
    HIBERNATED("hibernated");

    private ServerAction(String name) {
        this.name = name;
    }

    private String name;

    public String getName() {
        return name;
    }

}
